Create a new Object Storage access key

Generate a new access key for your object storage. The returned key is then used to call POST /api/object-storage/buckets/{name}/presign to manage your object storage buckets.

Object Storage Access Keys

Context

Used in the dashboard

/object-storage/[bucket] /object-storage

Workflow links

Headers

Accept Example
Content-Type Example

Body

required
application/json
label string · enum required · Example: Example Label
Example Label

Responses

200
data object required
data.key object required
data.key.accessKey string required · Example: EXAMPLE_ACCESS_KEY
data.key.label string · enum required · Example: Example Label
Example Label
data.key.secretKey string required · Example: YOUR_SECRET
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: An unexpected error occurred

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/object-storage/keys
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/object-storage/keys" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "label": "Example Label"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "key": {
      "accessKey": "EXAMPLE_ACCESS_KEY",
      "secretKey": "YOUR_SECRET",
      "label": "Example Label"
    }
  }
}
Request Body Example 1
{
  "label": "Example Label"
}